package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$8 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFEE37");
      BigInteger var1 = ECConstants.ZERO;
      BigInteger var2 = BigInteger.valueOf(3L);
      BigInteger var3 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFE26F2FC170F69466A74DEFD8D");
      BigInteger var4 = BigInteger.valueOf(1L);
      ECCurve.Fp var5;
      ECCurve.Fp var10000 = var5 = new ECCurve.Fp;
      var10000.<init>(var6, var1, var2);
      ECPoint var7 = var10000.decodePoint(Hex.decode("04DB4FF10EC057E9AE26B07D0280B7F4341DA5D1B1EAE06C7D9B2F2F6D9C5628A7844163D015BE86344082AA88D95E2F9D"));
      return new X9ECParameters(var5, var7, var3, var4, (byte[])null);
   }
}
